/* preloader as instructed */

#preloader {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 9999;
    background: #fff;
}

#preloader:before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border: 6px solid #f2f2f2;
    border-top: 6px solid #56829e;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    animation: animate-preloader 5s linear infinite;
}

@keyframes animate-preloader {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
     
}

@keyframes animate-preloader {
    0% {
        -webkit-transform: rotate(0deg);
        transform: roate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: roate(360deg);
    }
}

/* =================
The real CSS bit
=================== */

html, body {
    padding: 0;
    margin: 0;
}

body{
    margin: 0;
    padding: 0;
}
#map {
    width: 100%;
    height: 100vh;
}
#selectContainer {
  position: absolute;
  text-align-last: center;
  top: 0;
  z-index: 1000;
  width: 100%;
  height: 0%;
}
#countrySelect {
  width: 180px;
  margin: 0 auto;
  background-color: white;
  color: black;
}
.formBlock {
    max-width: 13.6em;
    background-color: transparent;
    border: 1px solid #ddd;
    position: absolute;
    top: 20em;
    left: 0.3em;
    padding: 0.2em;
    z-index: 1011;
    width: 100%;
}

.modal {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    height: 100vh;
    width: 80vw;
    display: none;
    z-index: 1015;
}
.modal-dialogue {
    opacity: 0;
    pointer-events: none;
    z-index: 1016;
}
.modal-backdrop {
    z-index: -1;
}
.btn-open {
    z-index: 1010;
    position: absolute;
    top: 20em;
    left: 0.3em;
    padding:0.2em;
}
p, #word {
    font-size: 0.8em;
}
#tableColorex {
    background-color: rgb(220, 240, 253);
}
#tableColorloc {
    background-color: rgb(246, 251, 188);
}
#tableColorCurr {
    background-color: rgb(254, 207, 207);
}
#tableColor {
    background-color: rgb(217, 249, 253);
}
.custom-modal-content {
    max-width: 100%;
}
#weatherImage1,
#weatherImage2,
#weatherImage3 {
    height: 70%;
    width: 70%;
}
@media screen and (max-width: 650px){
    #header, h4 {
        font-size: 6px;
    }
}

body {
    background-color: #111;
  }
  #earth {
    margin-right: auto;
    width: 50px;
    height: 50px;
    background: url(https://web.archive.org/web/20150807125159if_/http://www.noirextreme.com/digital/Earth-Color4096.jpg);
    border-radius: 50%;
    background-size: 102px;
    box-shadow: inset 1.3px 6px 13.4px 6px rgb(0, 0, 0), inset -1px 0 2px 0.7px rgba(255, 255, 255, 0.3);
    animation-name: rotate;
    animation-duration: 12s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
    -webkit-animation-name: rotate;
       -webkit-animation-duration: 12s;
       -webkit-animation-iteration-count: infinite;
       -webkit-animation-timing-function: linear;
  }
  @keyframes rotate {
    from {
      background-position: 0px 0px;
    }
    to {
      background-position: 102px 0px;
    }
  }
  @-webkit-keyframes rotate {
    from {
      background-position: 0px 0px;
    }
    to {
      background-position: 102px 0px;
    }
}